//
//   kword.h
//
#ifndef __WORD__
#define __WORD__

#include "wx/string.h"

const wxString OnOpenMakeSure=(const wxString)wxT("Are you sure to delete?");
const wxString OnCloseMakeSure=(const wxString)wxT("Do you save the configuration before quitting?");
const wxString OnSaveCsvMakeSure=wxT("Are you sure to save data of hilighted elements\n into a CSV (EXCEL) file.");

// GConst.cpp
const wxString OnPrefixSyntaxError=(const wxString)wxT("line %d : invalid type");


// Menu.cpp
const wxString ScriptButtonApply=(const wxString)wxT("Apply");
const wxString ScriptButtonPrev=(const wxString)wxT("< Next");
const wxString ScriptButtonNext=(const wxString)wxT("Prev >");
const wxString ScriptButtonNew=(const wxString)wxT("Insert");
const wxString ScriptButtonCancel=(const wxString)wxT("Cancel");
const wxString InvalidGraphInput=(const wxString)wxT("Invalid function input");

// wxKidsCindy.cpp
const wxString MenuFileNew=(const wxString)wxT("New(&N)\tCtrl+N");
const wxString MenuFileOpen=(const wxString)wxT("Open(&O)\tCtrl+O");
const wxString MenuFileSave=(const wxString)wxT("Save(&S)\tCtrl+S");
const wxString MenuFileSaveCsv=(const wxString)wxT("Save data\tShift+Ctrl+S");
const wxString MenuFilePrint=(const wxString)wxT("Print(&P)\tCtrl+P");
const wxString MenuFilePrintSetup=(const wxString)wxT("Print setup");
const wxString MenuFilePrintPreview=(const wxString)wxT("Print preview");
const wxString MenuFileAbout=(const wxString)wxT("About KidsCindy(&A)");
const wxString MenuFileQuit=(const wxString)wxT("Exit(&Q)\tCtrl+Q");

const wxString MenuEditUndo=(const wxString)wxT("Undo(&U)\tCtrl+Z");
const wxString MenuEditRedo=(const wxString)wxT("Redo(&R)\tCtrl+Y");

const wxString MenuNextSheet=(const wxString)wxT("Next sheet\tN");
const wxString MenuPrevSheet=(const wxString)wxT("Prev sheet\tP");

const wxString MenuInsertNew=(const wxString)wxT("Insert sheet\tAlt+N");
const wxString MenuInsertCopyFigure=(const wxString)wxT("Insert copy (without text)");
const wxString MenuInsertCopyAll=(const wxString)wxT("Insert copy");
const wxString MenuDeleteSheet=(const wxString)wxT("Delete sheet");

const wxString MenuEditSource=(const wxString)wxT("Edit script\tE");
const wxString MenuEditSourceTitle=(const wxString)wxT("Edit script");
const wxString MenuBenchMark=(const wxString)wxT("Bench mark test");

const wxString MenuSlideShowProperty=(const wxString)wxT("Animation setup \tA");
const wxString MenuSlideShowStart=(const wxString)wxT("Slide show(&V)\tF5");

const wxString MenuExtension=(const wxString)wxT("Extension mode(&X)");

const wxString AnimationPropertyTitle=(const wxString)wxT("Animation setup");

const wxString MenuGModeCindy=(const wxString)wxT("like Cindy(&c)");
const wxString MenuGModeKseg=(const wxString)wxT("like KSEG(&K)");
const wxString MenuGModePanel=(const wxString)wxT("Touch panel(&P)");

const wxString MenuThemeStandard=(const wxString)wxT("Standard");
const wxString MenuThemeCat=(const wxString)wxT("Cat");
const wxString MenuThemeStar=(const wxString)wxT("Star");
const wxString MenuThemeSkeleton=(const wxString)wxT("Skeleton");
const wxString MenuThemeKseg=(const wxString)wxT("like KSEG");
const wxString MenuThemeCindy=(const wxString)wxT("like Cindy");
const wxString MenuThemePastel=(const wxString)wxT("Pastel");
const wxString MenuPt1=(const wxString)wxT("point 1");
const wxString MenuPt2=(const wxString)wxT("point 2");
const wxString MenuPt3=(const wxString)wxT("point 3");
const wxString MenuPt4=(const wxString)wxT("point 3");
const wxString MenuPt5=(const wxString)wxT("point 5");
const wxString MenuLine1=(const wxString)wxT("line 1");
const wxString MenuLine2=(const wxString)wxT("line 2");
const wxString MenuLine3=(const wxString)wxT("line 3");
const wxString MenuLine4=(const wxString)wxT("line 4");
const wxString MenuLine5= (const wxString)wxT("ilne 5");
const wxString MenuBG1=(const wxString)wxT("Background 1");
const wxString MenuBG2=(const wxString)wxT("Background 2");
const wxString MenuBG3=(const wxString)wxT("Background 3");
const wxString MenuAppearTheme=(const wxString)wxT("Theme");
const wxString MenuAppearPt=(const wxString)wxT("Point");
const wxString MenuAppearLine=(const wxString)wxT("Line");
const wxString MenuAppearBG=(const wxString)wxT("Background");
const wxString MenuAfterimage=(const wxString)wxT("Afterimage");
const wxString MenuExtTangent=(const wxString)wxT("Tangent");
const wxString MenuExtCircleByThree=(const wxString)wxT("Circle by three");
const wxString MenuFile=(const wxString)wxT("file(&F)");
const wxString MenuEdit=(const wxString)wxT("Edit(&E)");
const wxString MenuMode=(const wxString)wxT("Mode(&M)");
const wxString MenuSlideShow=(const wxString)wxT("Slideshow(&D)");
const wxString MenuAppear=(const wxString)wxT("Appearance(&A)");

const wxString ToolText_FileNew=(const wxString)wxT("New");
const wxString ToolText_FileOpen=(const wxString)wxT("Open") ;
const wxString ToolText_FileSave=(const wxString)wxT("Save") ;
const wxString ToolText_FilePrint=(const wxString)wxT("Print") ;
const wxString ToolText_ModeMove=(const wxString)wxT("Move") ;
const wxString ToolText_ModeSPoint=(const wxString)wxT("Point") ;
const wxString ToolText_ModeMLine=(const wxString)wxT("Line");
const wxString ToolText_ModePara=(const wxString)wxT("Para");
const wxString ToolText_ModePerp=(const wxString)wxT("Perp");
const wxString ToolText_ModeMid=(const wxString)wxT("MidP");
const wxString ToolText_ModeMCircle=(const wxString)wxT("Circ");
const wxString ToolText_ModeBisector=(const wxString)wxT("Bisect") ;
const wxString ToolText_ModeSelect=(const wxString)wxT("Select");
const wxString ToolText_ModeMeet=(const wxString)wxT("Meet") ;
const wxString ToolText_ModeGraph=(const wxString)wxT("Graph") ;
const wxString ToolText_ModeClipping=(const wxString)wxT("Segment") ;
const wxString ToolText_ModeInvisible=(const wxString)wxT("Invisi");
const wxString ToolText_ModeAxis=(const wxString)wxT("Axis") ;
const wxString ToolText_ModeTangent=(const wxString)wxT("Tangent");
const wxString ToolText_ModeText=(const wxString)wxT("Text");
const wxString ToolText_ModeCompass=(const wxString)wxT("Compass");
const wxString ToolText_ModeUndo=(const wxString)wxT("Undo");
const wxString ToolText_ModeRedo=(const wxString)wxT("Redu");
const wxString ToolText_ModeOrbit=(const wxString)wxT("Orbit");
const wxString ToolText_ModeCircleBy=(const wxString)wxT("CircBy3");
const wxString ToolText_ZoomIn=(const wxString)wxT("ZoomIn");
const wxString ToolText_ZoomOut=(const wxString)wxT("ZoomOut");

// LButton.cpp
const wxString IncidentMsg=(const wxString)wxT("(*^_^*) This line thru point %s.");
const wxString IncidentMsgC=(const wxString)wxT("(*^_^*) This circle thru point %s.");
const wxString IncidentMsgPL=(const wxString)wxT("(*^_^*) Point %s is on this line.");
const wxString IncidentMsgPLAB=(const wxString)wxT("(*^_^*) Point %s is on line %s%s.");
const wxString IncidentMsgPC=(const wxString)wxT("(*^_^*) Point %s is on this circle.");
const wxString TangentMsgLC=(const wxString)wxT("(*^_^*) This line is tangent to circle %s.");
const wxString TangentMsgLCAB=(const wxString)wxT("(*^_^*) Line %s%s is tangent to circle %s.");
const wxString TangentMsgCL=(const wxString)wxT("(*^_^*) Circle %s is tangent to this line.");
const wxString TangentMsgCLAB=(const wxString)wxT("(*^_^*) Circle %s is tangent to line %s%s.");
const wxString TangentMsgCC=(const wxString)wxT("(*^_^*) Circle %s is tangent to circle %s.");
const wxString EditTextDlogTitle=(const wxString)wxT("Input text");
const wxString EditTextDlogText1=(const wxString)wxT("Input text");
const wxString EditTextDlogText2=(const wxString)wxT("fontsize=");


//Animation.cpp

const wxString AnimDlogLabels[]={
(const wxString)wxT("List"),
(const wxString)wxT("appear"),
(const wxString)wxT("disappear"),
(const wxString)wxT("on click"),
(const wxString)wxT("immediately"),
(const wxString)wxT("fade"),
(const wxString)wxT("right"),
(const wxString)wxT("left"),
(const wxString)wxT("top"),
(const wxString)wxT("bottom"),
(const wxString)wxT("effect"),
(const wxString)wxT("no effect"),
(const wxString)wxT("Delete"),
(const wxString)wxT("Up"),
(const wxString)wxT("Down"),
(const wxString)wxT("Ok"),
(const wxString)wxT("Cancel")
};

// GGraph.h
const wxString GraphDlogInput=(const wxString)wxT("Input function");
const wxString GraphDlogHelp1=(const wxString)wxT("f(x) .. explicit function");
const wxString GraphDlogHelp2=(const wxString)wxT("f(t),g(t) .. parametric curve");
const wxString GraphDlogHelp3=(const wxString)wxT("f(x,y) .. implicit function(not in service)");

const wxString EndSlideShow=(const wxString)wxT("End of Slidshow");
#endif
